<?php

/**
 * This software is intended for use with Oxwall Free Community Software http://www.oxwall.org/ and is a proprietary licensed product. 
 * For more information see License.txt in the plugin folder.

 * ---
 * Copyright (c) 2015, Ebenezer Obasi
 * All rights reserved.
 * info@eobai.com.

 * Redistribution and use in source and binary forms, with or without modification, are not permitted provided.

 * This plugin should be bought from the developer. For details contact info@eobasi.com.

 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

function admin_pages_visual_editor(){

	$attrs = OW::getRequestHandler()->getHandlerAttributes();
	$script = '
		tinymce.init({
				selector: "textarea",
				plugins: [
						"advlist autolink autosave link image lists charmap print preview hr anchor pagebreak spellchecker",
						"searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
						"table contextmenu directionality emoticons template textcolor paste textcolor",
				],

				toolbar1: "newdocument | bold italic underline strikethrough | alignleft aligncenter alignright alignjustify | cut copy paste | searchreplace | bullist numlist",
				toolbar2: "styleselect formatselect fontselect fontsizeselect | outdent indent blockquote | undo redo",
				toolbar3: "link unlink anchor image media code | inserttime preview | forecolor backcolor | table | hr removeformat | subscript superscript | charmap emoticons | print fullscreen | ltr rtl | spellchecker | visualchars visualblocks nonbreaking template pagebreak restoredraft code",

				menubar: false,
				toolbar_items_size: "small",

				style_formats: [
						{title: "Bold text", inline: "b"},
						{title: "Red text", inline: "span", styles: {color: "#ff0000"}},
						{title: "Red header", block: "h1", styles: {color: "#ff0000"}},
						{title: "Example 1", inline: "span", classes: "example1"},
						{title: "Example 2", inline: "span", classes: "example2"},
						{title: "Table styles"},
						{title: "Table row 1", selector: "tr", classes: "tablerow1"}
				],

				templates: [
						{title: "Test template 1", content: "Test 1"},
						{title: "Test template 2", content: "Test 2"}
				]
				//relative_urls: false
		});
	';
	
	if ( is_subclass_of($attrs[OW_RequestHandler::ATTRS_KEY_CTRL], "ADMIN_CTRL_Abstract")){
		
		OW::getDocument()->addScript(OW::getPluginManager()->getPlugin('aveditor')->getStaticJsUrl() . 'tinymce.min.js');
		
		OW::getDocument()->addOnloadScript($script);
		
	}
}
OW::getEventManager()->bind(OW_EventManager::ON_FINALIZE, 'admin_pages_visual_editor');
